// JavaScript Document
(function(){
	window.addEventListener('DOMContentLoaded', INIT);

	function INIT(){
		const glitchels=document.body.getElementsByClassName('glitcheloriginal');
		for(const glitchel of glitchels){
			makeGlitchEl(glitchel);
			console.log('makeGlitchEl INIT', glitchel);
		}
		
	}
	function makeGlitchEl(el){
		let _this=el;
		_this.domel=el;
		_this.glitchswing_tick=function(){
			for(_this.n=0; _this.n<_this.glitchlayerels.length; _this.n++){
				_this.glitchlayerel=_this.glitchlayerels[_this.n];
				if(_this.glitchlayerel.ff_glitchskip===false){
					_this.anioffset=(Math.random()*0.02-0.02/2)*_this.maxglitchoffset*20;
				}else{
					_this.anioffset=0;
				}
				if(_this.ticks%_this.glitchlayerel.ff_glitchoffsettargetdicedeltatime===0){
					_this.diceglitchlayerel(_this.glitchlayerel);
				}
				_this.glitchlayerel.style.setProperty('--glitch-offset-factor', _this.glitchlayerel.ff_glitchoffsettarget+_this.anioffset);
			}
			_this.ticks++;
			setTimeout(_this.glitchswing_tick, 1000/60);
		}
		_this.clearGlitch=function(){
			REMOVES(_this.glitchlayerels);
		}
		_this.diceglitchlayerel=function(_glitchlayerel){
			if(_glitchlayerel.ff_glitchskip){
				_glitchlayerel.ff_glitchoffsettarget=0;
				_glitchlayerel.ff_glitchoffsettargetdicedeltatime=100000000;
				_glitchlayerel.ff_glitchoffsetspeedfactor=0;
			}else{
				_glitchlayerel.ff_glitchoffsettarget=_this.maxglitchoffset*Math.random();
				_glitchlayerel.ff_glitchoffsettargetdicedeltatime=(parseInt(Math.random()*_this.maxoffsettargetdicedeltatime)+2)*60+60;
				_glitchlayerel.ff_glitchoffsetspeedfactor=Math.random()*0.1;
			}

		}
		_this.updateGlitch=function(){
			_this.glitchanz=16;
			_this.maxglitchoffset=1;
			_this.maxoffsettargetdiceskipanz=2;
			console.log(_this.domel);
			_this.glitchlayerels=_this.domel.getElementsByClassName('glitchlayerel');
			// delete potential old dynamically created glitchlayers
			REMOVES(_this.glitchlayerels);
			_this.glts=[];
			for(_this.n=0; _this.n<_this.glitchanz; _this.n++){
				_this.glitchh=100/_this.glitchanz;
				_this.y=_this.glitchh*_this.n;
				_this.yh=_this.y+_this.glitchh;
				if(_this.yh>100){
					_this.yh=100;
				}
				// overlap to avoid antialiasing issues
				_this.y-=0.4;
				_this.yh+=0.8;
				
				_this.glitchlayerel=asEl('<div class="glitchel glitchlayerel">'+_this.domel.innerHTML+'</div>');
				_this.glitchlayerel.ff_glitchskip=_this.maxoffsettargetdiceskipanz===parseInt(Math.random()*_this.axoffsettargetdiceskipanz)+1;
				//console.log('glitchlayerel.ff_glitchskip', glitchlayerel.ff_glitchskip);
				_this.diceglitchlayerel(_this.glitchlayerel);
				_this.glitchlayerel.style.clipPath='polygon(0% '+_this.y+'%, 100% '+_this.y+'%, 100% '+_this.yh+'%, 0% '+_this.yh+'%)';
				_this.glts.push(_this.glitchlayerel);
			}
			// add glitchlayers into original glitch
			for(_this.n=0; _this.n<_this.glts.length; _this.n++){
				_this.domel.appendChild(_this.glts[_this.n]);
			}
			_this.glitchlayerels=_this.domel.getElementsByClassName('glitchlayerel');
			
		}
		// init
		_this.updateGlitch();
		_this.glitchswing_tick();
	}
})();
