<?php
global $DOMSTR_METATAGS;
$baseurl='data/halloffame/';
$cleanid=substr(URLPARTS[0], 8);
$id=cleanID2ID($cleanid);
$path=$baseurl.$id.'info.json';
if(!file_exists($path)){
	header("HTTP/1.0 404 Not Found");
	echo  '<h1 style="color:white">Kunstwerk nicht vorhanden!</h1>';
	exit();
}
$infoobj=json2obj(file_get_contents($baseurl.$id.'info.json'));


// infos
$username=rObjValue($infoobj, 'username');
if($username===''){
    $username='Anonym';
}
$artworktitle=rObjValue($infoobj, 'artworktitle');
if($artworktitle===''){
     $artworktitle='Ohne Titel';
}
$city=rObjValue($infoobj, 'city');
$time=rObjValue($infoobj, 'time');

// title
$DOMSTR_TITLE=$artworktitle.', '.$username;

// img
$imgsrc=$baseurl.$id.'stage.jpg';
if(file_exists($imgsrc)){
	$ogimgsrc=getOptimizedImageSrc($imgsrc, 1080);
}else{
	$imgsrc=$baseurl.$id.'stage.gif';
	$ogimgsrc=$imgsrc;
}
$wh=getimagesize($imgsrc);
$img='<img src="'.HTMLRELPATH.$imgsrc.'"  width="'.$wh[0].'" height="'.$wh[1].'" alt="'.rSearchStr($artworktitle).' von '.rSearchStr($username). ' aus '.rSearchStr($city).'" />';

//meta og img
$DOMSTR_METATAGS.=rMetaImg($ogimgsrc);

// close func
$closebt_onclick='window.history.back()';
if(!isset($_SESSION['LASTPAGENAME'])){
    $closebt_onclick='window.location=\''.ROOTPATH.'hall-of-fame\';';
}
echo 	'<header class="menubar halloffameviewermenubar">
			<div class="content">'.$username.', <i>'.$artworktitle.'</i></div>
            <div class="iconbts">
				<div class="sharebt" onclick="BLUEPRINTS[\'sharebutton_triggersharemenu\']();">
						'.$BLUEPRINTS['rSVGIcon']('icon_share', 'var(--scope-color)').'
				</div>
                <div class="closebt" onclick="'.$closebt_onclick.'">
                    '.$BLUEPRINTS['rSVGIcon']('icon_close', 'var(--scope-color)').'
                </div>
            </div>
      	</header>
	 	<div class="halloffameviewer">
			'.$img.'
	  	</div>';

?>