<?php 

$DOMSTR_SCRIPTTAGS.=rHTMLScriptTag('core/com/gifjs/gif.js');

$COMPONENTS['STOPMOTIONTOOL']=[];
$DOMSTR_TITLE='Stop-Motion Tool';
$DOMSTR_BODY_ATTRIBUTES.=' is-tool';
$BP=$BLUEPRINTS;


$menubar=$BLUEPRINTS['rCreativeToolMenuBar'](['title'=>'Stop-Motion Tool', 'icon'=>'icon-stopmotion', 'default-closeurl'=>'artist-name']);

// FRAME THUMBS

$framethumbnails_dom='';
$len=24;
for($n=0; $n<$len; $n++){
	$framethumbnails_dom.='<div class="framethumb" frame-index="'.$n.'" onclick="STOPMOTIONTOOL.framethumb_onclick(event);"><canvas class="framethumb_canvas" width="720" height="720"></canvas></div>';
}


// SAVE TO HALL OF FAME
$COMPONENTS['STOPMOTIONTOOL']['saveToHallOfFame']=function($parobj){
	global $BLUEPRINTS;
	if(strval($parobj['infoobj']['einwilligung'])!=='true'){
		return '<script>
					document.getElementById("halloffameformresponsebox").innerHTML="Du musst die Einwilligung für die Veröffentlichung bestätigen.";
					document.getElementsByClassName("stopmotiontool")[0].removeAttribute("is-sending-data");
				</script>';
	}
	$id=rID();
	$path='data/halloffame/'.$id;
	$imgfilepath=$path.'stage.gif';
	$infoobj=json2obj(obj2json($parobj['infoobj']));
	$infoobj['id']=$id;
	$infoobj['time']=time();
	saveJSON($path.'/info.json', obj2json($infoobj));
	$data=str_replace(' ','+',$parobj['imgdataurl']);
	$data=substr($data,strpos($data, ',')+1);
	$data=base64_decode($data);
	$file=fopen($imgfilepath, 'w');
	fwrite($file, $data);
	fclose($file);
	$script='<script>STOPMOTIONTOOL.closeHallOfFameForm();</script>';
	$contentdom='<h1>Sehr schön!</h1>
							<p>
								Dein Clip <i>'.$infoobj['artworktitle'].'</i> wurde erfolgreich zur Veröffentlichung in der <a href="hall-of-fame" target="_self">Hall of Fame</a> eingereicht. Es kann bis zu 3 Werkstage dauern bis dein Werk überprüft und veröffentlicht wird. Tipp: Mit "Speichern" kannst du dein Werk jetzt schon downloaden und mit deinen Freunden teilen.<br>
							</p>
							<div class="button2" onclick="REMOVE(this.closest(\'.overlay\'));">
								<span>Alles klar</span>
							</div> ';
	
	return $BLUEPRINTS['rOverlayBubbleBox']($contentdom).$script;
};
$halloffameform_dom=$BLUEPRINTS['HALLOFFAMEFORM']['rHallOfFameForm']('STOPMOTIONTOOL', 'mein Clip');

?>
<?php echo $menubar;  ?>
<div class="stopmotiontool" webcam-mode="live">
	<div class="blurlayer0">
		<div class="toolbartop">
			<div class="togglewebcambutton" onclick="STOPMOTIONTOOL.toggleLive();" >
				<div class="svgicon"></div>
			</div>
			<div class="changewebcambutton" onclick="STOPMOTIONTOOL.toggleWebcamSrc();" >
				<div class="svgicon"></div>
			</div>
			<div class="takepicturebutton" onclick="STOPMOTIONTOOL.takePicture();" >
			</div>
			<div class="playgifbutton" onclick="STOPMOTIONTOOL.tooglePlayPause();" >
				<div class="svgicon"></div>
			</div>
			<div class="removepicturebutton" onclick="STOPMOTIONTOOL.removePicture();" >
				<div class="svgicon"></div>
			</div>
			
		</div>
		<div class="toolbarbottom">
			<div class="savebt button2" onclick="STOPMOTIONTOOL.savebt_onclick(event);">
				<span>Speichern</span>
			</div>
			
			<div class="openhalloffameformbt button2" onclick="STOPMOTIONTOOL.openHallOfFameForm();">
				<span>Veröffentlichen</span>
			</div>
		</div>
		<div class="stagewrapper">
			<div class="viewport">
				<canvas class="viewport_canvas" width="720" height="720"></canvas>
				<canvas class="viewport_webcamcanvas" width="720" height="720"></canvas>
				<canvas class="viewport_canvas_prev" width="720" height="720"></canvas>
			</div>
		</div>
	</div>
	<div class="framethumbnails" custom-scrollbar>
		<?php echo $framethumbnails_dom; ?>
		
	</div>
	<div class="overlay halloffameformoverlay">
		<?php echo $halloffameform_dom; ?>
	</div>
	<div class="gifsperre" style="display:none">
	</div>
</div>