<?php 
global $BLUEPRINTS;
global $COMPONENTS;

$BLUEPRINTS=[];
// GENERAL ////////////////////////////////////////////////////////////////////////////////
/* LINK POPUP STRING */
$BLUEPRINTS['rLinkPopupStr']=function($str, $mediaid, $text, $href, $buttontext='mehr erfahren'){
	global $BLUEPRINTS;
	return '<span onclick="BLUEPRINTS[\'linkpopupstr_showPopUp\'](event);" linkpopup-mediaid="'.$mediaid.'" linkpopup-text="'.$text.'" linkpopup-href="'.$href.'" linkpopup-buttontext="'.$buttontext.'">'.$str.'</span>';
};
/* AREAS */
$BLUEPRINTS['rTopArea']=function($innerhtml='toparea'){
	return '<div class="toparea">'.$innerhtml.'</div>';
};
$BLUEPRINTS['rBottomArea']=function($innerhtml='bottomarea'){
	return '<div class="bottomarea">
                <div class="content">
                    '.$innerhtml.'
                </div>
			</div>';
};

/* THUMBLINK */
$BLUEPRINTS['rThumbLink']=function($text, $href='', $mediaid='placeholder.jpg', $buttontext='Seite öffnen'){
	global $BLUEPRINTS;
	return '<a class="thumblink" href="'.$href.'" target="_blank">
				<div class="thumb">'.$BLUEPRINTS['rMedia']($mediaid).'</div>
				<div class="text">
					'.$text.'
					<div class="button2">
						<span>
							'.$buttontext.'
						</span>
					</div>
				</div>
				
			</a>';
};

/* BUTTONS */
$BLUEPRINTS['rButton']=function($text, $href='', $target='auto'){
	if($text===''){
		return '';
	}
	if($target==='auto'){
		$target=href2target($target);
	}
	if($href!==''){
		$href=HTMLRELPATH.$href;
	}
	return '<a class="button" href="'.$href.'" target="'.$target.'">
				<span>
					'.$text.'
				</span>
			</a>';
};
$BLUEPRINTS['rButton2']=function($text, $href='', $target='auto'){
	if($text===''){
		return '';
	}
	if($target==='auto'){
		$target=href2target($target);
	}
	if($href!==''){
		$href=HTMLRELPATH.$href;
	}
	return '<a class="button2" href="'.$href.'" target="'.$target.'">
				<span>
					'.$text.'
				</span>
			</a>';
};


/* MENU */
$BLUEPRINTS['rMenu']=function($scope_color='black', $scope_bgcolor='white'){
	global $BLUEPRINTS;
    return '<div class="menu" style="--scope-color:'.$scope_color.'; --scope-bgcolor:'.$scope_bgcolor.'; background:'.$scope_bgcolor.';">
				<div class="closebt" onclick="BLUEPRINTS[\'menu_toggle\']();">
                	'.$BLUEPRINTS['rSVGIcon']('icon_close', 'var(--scope-color)').'
				</div>
				<a class="instabt" href="#" target="_blank">
                	'.$BLUEPRINTS['rSVGIcon']('icon_insta', 'var(--scope-color)').'
				</a>
				<a class="homebt" href="startseite" target="_self">
                	'.$BLUEPRINTS['rSVGIcon']('icon_home', 'var(--scope-color)').'
				</a>
                <div class="menulinks">
					'.$BLUEPRINTS['rButton']('Überblick Kunstwerke', 'werkseiten').'
					'.$BLUEPRINTS['rButton']('Kreativ werden', 'kreativtools').'
					'.$BLUEPRINTS['rButton']('Hall of Fame', 'hall-of-fame').'
                </div>
				'.$BLUEPRINTS['rFooter']($scope_color, $scope_bgcolor).'
               
            </div>';
};

/* SVG ICON */
$BLUEPRINTS['rSVGIcon']=function($filename, $color='#000000'){
	$varname=str_replace('_', '-', $filename);
	return '<div class="svgicon" style="--svgicon-url:var(--'.$varname.'); --svgicon-color:'.$color.'"></div>';
};

/* MEDIA */
$BLUEPRINTS['rMedia']=function($mediaid){
	$wh_attr='';
	if(substr($mediaid, 0, 5)==='https'){
			$src=$mediaid;
	}else{
		$src='data/media/'.$mediaid;
		$wh=getimagesize($src);
		$wh_attr='width="'.$wh[0].'" height="'.$wh[1].'"';
		$src=HTMLRELPATH.$src;
	}
	
	
	$media='<img src="'.$src.'" '.$wh_attr.' alt="" onload="BLUEPRINTS[\'media_isloaded\'](event);"  />';
	return '<div class="media" view-mode="cover">
				'.$media.'
			</div>';
	
};

/* MEDIA GALLERY */
$BLUEPRINTS['rMediaGallery']=function($mediaids=[], $copyrightinfotext=''){
	global $BLUEPRINTS;
    $medias='';
    foreach($mediaids as $mediaid){
        $medias.=$BLUEPRINTS['rMedia']($mediaid);
    }
	$mediacount=count($mediaids);
	if($mediacount>1){
		$show_prevbt="false";
		$show_nextbt="true";
	}else{
		$show_prevbt="false";
		$show_nextbt="false";
	}
	$copyrightinfobutton='';
	if($copyrightinfotext!==''){
		$copyrightinfobutton=$BLUEPRINTS['rCopyrightInfoButton']($copyrightinfotext);
	}
    return '<div class="mediagallery" show-prevbt='.$show_prevbt.' show-nextbt='.$show_nextbt.' style="--media-count:'.count($mediaids).'; --media-index:0;">
                <div class="content">
                    '.$medias.'
                </div>
                <div class="nextbt" onclick="BLUEPRINTS[\'mediagallery_next\'](event);">
					<div class="bg"</div>
                    	'.$BLUEPRINTS['rSVGIcon']('icon_arrow_right', 'white').'
					</div>
                </div>
                <div class="prevbt" onclick="BLUEPRINTS[\'mediagallery_prev\'](event);">
					<div class="bg"</div>
                    	'.$BLUEPRINTS['rSVGIcon']('icon_arrow_left', 'white').'
					</div>
                </div>
				'.$copyrightinfobutton.'
            </div>';
};

/* FOOTER */
$BLUEPRINTS['rFooter']=function($scope_color='black', $scope_bgcolor='white'){
	global $BLUEPRINTS;
	 return '<div class="footer" style="--scope-color:'.$scope_color.'; --scope-bgcolor:'.$scope_bgcolor.'; background:'.$scope_bgcolor.';">
                 
                <a class="whale" href="" target="_blank">
                    '.$BLUEPRINTS['rSVGIcon']('icon_whale', 'var(--scope-color)').'
                </a>
				
                <div class="footerlinks">
				 	<a class="footerlink" href="#">Kontakt</a>
				 	<a class="footerlink" href="#" target="_blank">Datenschutz</a>
                    <a class="footerlink" href="#" target="_blank">Impressum</a>
                </div>
            </div>';
};


/* ARTIST WORK HEADLINE */
$BLUEPRINTS['rArtistWorkHeadline']=function($artistname, $workname){
	return '<div class="headline artistworkhealine">
				<div class="artistname">'.rDivByWordStr($artistname).'</div>
				<div class="workname">'.rDivByWordStr($workname).'</div>
			</div>';
};

/* QUALITY CONTENT EXCERPT */
$BLUEPRINTS['rQualityContentExcerpt']=function($text, $icontextarr){
	global $BLUEPRINTS;
	$icontextbuttons='';
	// shuffle($icontextarr);
	foreach($icontextarr as $icontext){
		$href=isset($icontext[2]) ? $icontext[2] : '#0';
		$target=isset($icontext[3]) ? $icontext[3] : '_self';
		$icontextbuttons.='<a class="icontextbutton" href="'.$href.'" target="'.$target.'" style="margin-left:'.rand(-9, 9).'px; margin-top:'.rand(-9, 9).'px;">
								<div class="star">
									'.$BLUEPRINTS['rSVGIcon']('icon_star_23', 'var(--ci-color)').'
								</div>
								<div class="icon glitchel glitcheloriginal">
									'.$BLUEPRINTS['rSVGIcon']($icontext[0], 'white').'
								</div>
								<div class="text">
									<span>
										'.$icontext[1].'
									</span>
								</div>
							</a>';
	}
	return '<div class="quailtycontentexcerpt">
				<div class="excerpttitle">Infobox</div>
				<div class="text">
					'.$text.'
				</div>
                <div class="icontextbuttons">
					'.$icontextbuttons.'
                </div>
			</div>';
};

/* CREATIVE TOOL EXCERPT */
$BLUEPRINTS['rCreativeToolExcerpt']=function($thumbmediaid, $h1='Kreativtool', $text='Hier geht\'s zum Kreativtool!', $toollink='kreativtool', $toolbuttontext='Los geht\'s', $halloffamebuttontext='Hall of Fame', $halloffamelink='hall-of-fame'){
	global $BLUEPRINTS;
	return '<div class="creativetoolexcerpt">
				<div class="excerpttitle">Kreativtool</div>
				<div class="textbox">
					<div class="text">
							'.$BLUEPRINTS['rMedia']('creative-tool-excerpts/'.$thumbmediaid).'
                    		<h1>'.$h1.'</h1>
							'.$text.'
					</div>
					<a class="overlaylink" href="'.$toollink.'" target="_self"></a>
					<div class="buttons">
						'.$BLUEPRINTS['rButton2']($toolbuttontext, $toollink).'
						'.$BLUEPRINTS['rButton']($halloffamebuttontext, $halloffamelink).'
					</div>
                </div> 
				
			</div>';
};

/* KERATIVTOOL HEADER */
$BLUEPRINTS['rCreativeToolMenuBar']=function($obj){
	global $BLUEPRINTS;
	global $URLPARTS;
	$title=rObjValue($obj, 'title');
	$icon=rObjValue($obj, 'icon');
	$defaultcloseurl=rObjValue($obj, 'default-closeurl');
	$icon_dom='';
	if($icon!==''){
		$icon='<div class="menubaricon">'.$BLUEPRINTS['rSVGIcon']($icon, 'white').'</div>';
	}
	$beforeclosemessage=rObjValue($obj, 'beforeclosemessage');
	
	if(isset($_SESSION['LASTPAGENAME']) && $_SESSION['LASTPAGENAME']==='kreativtools' && $URLPARTS[0]!=='kreativtools'){
		$closebt_onclick='window.location=\''.ROOTPATH.$_SESSION['LASTPAGENAME'].'\';';
	}else{
		if($defaultcloseurl!==''){
			$closebt_onclick='window.location=\''.ROOTPATH.$defaultcloseurl.'\';';
		}else{
			$closebt_onclick='window.location=\''.ROOTPATH.'startseite\';';
		}
	}	
    return '<header class="menubar creativtoolmenubar">
				<div class="content">
                    '.$icon.$title.'
                </div>
				<div class="iconbts">
					<div class="closebt" onclick="'.$closebt_onclick.'" before-close-message="'.rAttStr($beforeclosemessage).'">
						'.$BLUEPRINTS['rSVGIcon']('icon_close', 'var(--scope-color)').'
					</div>
				</div>
            </header>';
};

/* WORKSHOP EXCERPT */
$BLUEPRINTS['rWorkshopExcerpt']=function($thumbmediaid,  $h1='Workshop', $text='Hier geht\'s zum Workshop!'){
	global $BLUEPRINTS;
	return '<div class="workshopexcerpt">
              	<div class="excerpttitle">Workshop</div>
				<div class="textbox"> 
					<div class="text">
						<div class="workshopicon">
							'.$BLUEPRINTS['rSVGIcon']('icon_workshop', 'var(--scope-color)').'
						</div>
                    	<h1>'.$h1.'</h1>
						'.$text.'
					</div>
					<div class="buttons">
						'.$BLUEPRINTS['rButton2']('Anmelden', 'zoom-workshop').'
					</div>
					
                </div> 
				
			</div>';
};
$BLUEPRINTS['rAnimatedGlitchLogo']=function(){
	return '<div class="animatedglitchlogo">
					<div class="glitchtext glitchtextroriginal">
						Studio<br>
						Digital
					</div>
				</div>';
};

/* ARTWORK SITE EXCERPT */
$BLUEPRINTS['rArtworkSiteExcerpts']=function($thumbtextarr){
	global $BLUEPRINTS;
	$excerpts='';
	foreach($thumbtextarr as $thumbtext){
		$mediaid=$thumbtext[0];
		$artistname=$thumbtext[1];
		$workname=$thumbtext[2];
		$href=isset($thumbtext[3]) ? $thumbtext[3] : '';
		$excerpts.='<a class="artworksiteexcerpt" href="'.$href.'" target="_self">
								<div class="thumb">
									'.$BLUEPRINTS['rMedia']($thumbtext[0]).'
								</div>
								<div class="text">
									<div class="artistname">'.$artistname.'</div>
									<div class="workname">'.$workname.'</div>
								</div>
							</a>';
	}
	return '<div class="artworksiteexcerpts">
              	'.$excerpts.'
			</div>';
};


/* MENU BAR */
$BLUEPRINTS['rMenuBar']=function($innerhtml='Text lalalala'){
	global $BLUEPRINTS;
    return '<header class="menubar">
				<div class="menubar_bg"></div>
                <a class="logo" href="'.HTMLRELPATH.'startseite" target="_self" style="--glitch-textcolor:white">
                    '.$BLUEPRINTS['rAnimatedGlitchLogo']().'
                </a>
                <div class="content">
                    '.$innerhtml.'
                </div>
				<div class="iconbts">
					
					<div class="sharebt" onclick="BLUEPRINTS[\'sharebutton_triggersharemenu\']();">
						'.$BLUEPRINTS['rSVGIcon']('icon_share', 'var(--scope-color)').'
					</div>
					<a class="homebt" href="'.HTMLRELPATH.'startseite" target="_self">
						'.$BLUEPRINTS['rSVGIcon']('icon_home', 'var(--scope-color)').'
					</a>
					<div class="menubt" onclick="BLUEPRINTS[\'menu_toggle\']();">
						'.$BLUEPRINTS['rSVGIcon']('icon_menu', 'var(--scope-color)').'
					</div>
					
				</div>
            </header>
			'.$BLUEPRINTS['rMenu']('white', 'var(--ci-color)').'
			';
};

// QUALITY CONTENT SITE /////////////////////////////////////////////////////////////////////////

/* QUALITY CONTENT*/
$BLUEPRINTS['rQuailtyContentMenuBar']=function($innerhtml='Text lalalala', $defaultcloseurl=''){
	global $BLUEPRINTS;
	if($defaultcloseurl!==''){
		$closebt_onclick='window.location=\''.ROOTPATH.$defaultcloseurl.'\';';
	}else{
		$closebt_onclick='window.location=\''.ROOTPATH.'startseite\';';
	}
    return '<header class="menubar qualitycontentmenubar">
				<div class="content">
                    '.$innerhtml.'
                </div>
				<div class="iconbts">
					<div class="closebt" onclick="'.$closebt_onclick.'">
						'.$BLUEPRINTS['rSVGIcon']('icon_close', 'var(--scope-color)').'
					</div>
				</div>
            </header>';
};

/* FACTSHEET FIELD */
$BLUEPRINTS['rFactsheetField']=function($name, $value, $type=''){
	return '<div class="factsheetfield">
				<div class="name"><span>'.$name.'</span></div>
				<div class="value"><span>'.$value.'</span></div>
			</div>';
};


// HOME PAGE /////////////////////////////////////////////////////////////////////////////

/* OVERLAY BUBBLE BOX */
$BLUEPRINTS['rOverlayBubbleBox']=function($bubblecontentdom){
	global $BLUEPRINTS;
	return '<div class="overlay">
				 <div class="overlaybox overlaybubblebox introoverlaybox">
				 	<div class="content">
                   		<div class="bubble">
							'.$bubblecontentdom.'
						</div>
						<div class="whale">
							'.$BLUEPRINTS['rSVGIcon']('icon_whale').'
						</div>
                    </div>
                </div>
			</div>';							  
};
	
	
// COPY RIGHT INFO BUTTON
$BLUEPRINTS['rCopyrightInfoButton']=function($text){
	return '<div class="copyrightbutton" >
				<div class="ibt" onclick="BLUEPRINTS.copyrightbutton_onclick(event);">
					<div>i</div>
				</div>
				<div class="itext">
				 	'.$text.'
                </div>
			</div>';
	
};

// HALL OF FAME FORM EINWILLIGUNG
$BLUEPRINTS['HALLOFFAMEFORM']['rHallOfFameForm']=function($COMPONENTSLUG, $mein_Werk='mein Werk'){
	global $BLUEPRINTS;
	// Hall of Fame Form
	$inputsdom='';
	$inputsdom.=$BLUEPRINTS['rTextInput'](['name'=>'artworktitle', 'value'=>'', 'placeholder'=>'Titel']);
	$inputsdom.=$BLUEPRINTS['rTextInput'](['name'=>'username', 'value'=>'', 'placeholder'=>'Dein Name']);
	$inputsdom.=$BLUEPRINTS['rTextInput'](['name'=>'city', 'value'=>'', 'placeholder'=>'Stadt (optional)']);
	$inputsdom.=$BLUEPRINTS['rCheckBox']([
		'name'=>'einwilligung', 
		'value'=>false, 
		'onvaluechange_callback'=>'BLUEPRINTS.clearHalloffameFormResponsebox',
		'label'=>'<strong>Ich will '.$mein_Werk.' veröffentlichen.</strong> <strong>Meinen echten Namen muss ich nicht angeben.</strong> Irgendein Phantasiename reicht. Wenn ich <strong>unter 16 Jahre alt</strong> bin, frage ich meine Erziehungsberechtigten. Wenn ich will, dass '.$mein_Werk.' gelöscht wird, schreibe ich eine Mail an LORUM_IPSUM@LORUM.IPSUM. Mehr Infos zum Datenschutz <a href="'.HTMLRELPATH.'einwilligungserklaerung?werkbezeichnung='.urlencode($mein_Werk).'" target="_blank">hier</a>.'
	]);
	$inputsdom.='<div class="plublishtohalloffamebt button2" onclick="'.$COMPONENTSLUG.'.plublishtohalloffamebt_onclick(event);">
					<span>Veröffentlichen</span>
				</div>';
	$inputsdom.='<div id="halloffameformresponsebox"></div>';

	$groupobj=[];
	$groupobj['name']='halloffameform';
	$groupobj['type']='staticform';
	$groupobj['id']=rTmpID('halloffame');
	$groupobj['innerdom']=$inputsdom;
	return '<div class="overlaybox halloffameformbox" custom-scrollbar>
                  <div class="infobox">
				  	In Hall of Fame veröffentlichen:
					<div class="closebt" onclick="'.$COMPONENTSLUG.'.closeHallOfFameForm();">
						'.$BLUEPRINTS['rSVGIcon']('icon_close').'
					</div>
				  </div>
                  <div class="canvaspreview"></div>'
                  .$BLUEPRINTS['rInputGroup']($groupobj).
                  '
			</div>';
};




?>