// JavaScript Document
(function(){
	window.addEventListener('DOMContentLoaded', INIT);
	window.updateGlitch=updateGlitch;
	window.clearGlitch=clearGlitch;
	let maxglitchoffset=0.05;
	let glitchanz=10;
	let maxoffsettargetdiceskipanz=10;
	let maxoffsettargetdicedeltatime=8;
	let glitchh, glitchtext, glitchlayertexts, glitchlayertext, n , offset, y, anioffset, ticks=1, glts;
	function INIT(){
		glitchtext=document.body.getElementsByClassName('glitchtext')[0];
		if(glitchtext!=null){
			updateGlitch();
			glitchswing_tick();
			console.log('glitchtext INIT', glitchtext);
		}
		
	}
	function glitchswing_tick(){
		for(n=0; n<glitchlayertexts.length; n++){
			glitchlayertext=glitchlayertexts[n];
			if(glitchlayertext.ff_glitchskip===false){
				anioffset=(Math.random()*0.02-0.02/2)*maxglitchoffset*20;
			}else{
				anioffset=0;
			}
			if(ticks%glitchlayertext.ff_glitchoffsettargetdicedeltatime===0){
				diceGlitchlayertext(glitchlayertext);
			}
			glitchlayertext.style.paddingLeft=1+glitchlayertext.ff_glitchoffsettarget+anioffset+'em';
		}
		ticks++;
		setTimeout(glitchswing_tick, 1000/60);
	}
	function clearGlitch(){
		REMOVES(glitchlayertexts);
	}
	function diceGlitchlayertext(_glitchlayertext){
		if(_glitchlayertext.ff_glitchskip){
			_glitchlayertext.ff_glitchoffsettarget=0;
			_glitchlayertext.ff_glitchoffsettargetdicedeltatime=100000000;
			_glitchlayertext.ff_glitchoffsetspeedfactor=0;
		}else{
			_glitchlayertext.ff_glitchoffsettarget=maxglitchoffset*Math.random();
			_glitchlayertext.ff_glitchoffsettargetdicedeltatime=(parseInt(Math.random()*maxoffsettargetdicedeltatime)+2)*60+60;
			_glitchlayertext.ff_glitchoffsetspeedfactor=Math.random()*0.1;
		}
		
	}
	function updateGlitch(){
		glitchanz=23;
		maxglitchoffset=0.05;
		maxoffsettargetdiceskipanz=2;
		console.log(glitchtext);
		glitchlayertexts=glitchtext.getElementsByClassName('glitchlayertext');
		// delete potential old dynamically created glitchlayers
		REMOVES(glitchlayertexts);
		glts=[];
		for(n=0; n<glitchanz; n++){
			glitchh=100/glitchanz;
			y=glitchh*n;
			yh=y+glitchh;
			if(yh>100){
				yh=100;
			}
			glitchlayertext=asEl('<div class="glitchtext glitchlayertext">'+glitchtext.innerHTML+'</div>');
			glitchlayertext.ff_glitchskip=maxoffsettargetdiceskipanz===parseInt(Math.random()*maxoffsettargetdiceskipanz)+1;
			//console.log('glitchlayertext.ff_glitchskip', glitchlayertext.ff_glitchskip);
			diceGlitchlayertext(glitchlayertext);
			glitchlayertext.style.clipPath='polygon(0% '+y+'%, 100% '+y+'%, 100% '+yh+'%, 0% '+yh+'%)';
			glts.push(glitchlayertext);
		}
		// add glitchlayers into original glitch
		for(n=0; n<glts.length; n++){
			glitchtext.appendChild(glts[n]);
		}
		glitchlayertexts=glitchtext.getElementsByClassName('glitchlayertext');
		glitchswing_tick();
	}
})();
