// JavaScript Document
window.HALLOFFAME={};
(function(){
	document.addEventListener("DOMContentLoaded", INIT);
	function INIT(){
		const halloffamethumbpool=document.getElementsByClassName('halloffamethumbpool')[0];
		const hofthumbs=halloffamethumbpool.getElementsByClassName('hofthumb');
		const dropdown_city=document.getElementsByClassName('dropdown_city')[0];
		const dropdown_tool=document.getElementsByClassName('dropdown_tool')[0];
		const textinput_searchfield=document.getElementsByClassName('textinput_searchfield')[0];
		let updatethumbPooldelayed=0;
		HALLOFFAME.INIT=function(){
			HALLOFFAME.updateThumbPool();
		}
		HALLOFFAME.updateThumbPoolDelayed=function(){
			clearTimeout(updatethumbPooldelayed);
			updatethumbPooldelayed=setTimeout(HALLOFFAME.updateThumbPool, 200);
		}
		HALLOFFAME.updateThumbPool=function(){
			let callobj={};
            let parobj={};
		
            parobj['searchterm']=BLUEPRINTS['getInputValue'](textinput_searchfield);
            parobj['cityfilter']=BLUEPRINTS['getInputValue'](dropdown_city);
            parobj['toolfilter']=BLUEPRINTS['getInputValue'](dropdown_tool);
			let parurl='?filter';
			if(parobj['cityfilter']!==''){
				parurl+='&city='+parobj['cityfilter'];
			}
			if(parobj['toolfilter']!==''){
				parurl+='&tool='+parobj['toolfilter'];
			}
			if(parobj['toolfilter']!==''){
				parurl+='&search='+parobj['searchterm'];
			}
			
			window.history.replaceState(null, null, 'hall-of-fame'+parurl);
		
            callobj['api-func-component']='HALLOFFAME';
            callobj['api-func-name']='rThumbPool';
            callobj['api-target-id']='halloffamethumbpool';
            callobj['api-insert-cmd']='replaceinner';
            callobj['api-func-parobj']=parobj;
            API_CALL([callobj]);
		}
		/// ADMIN //////////////////////
		// DELETE
		HALLOFFAME.deletebutton_onclick=function(event){
			let callobj={};
            let parobj={};
		
            parobj['deleteid']=event.currentTarget.getAttribute('delete-id');
            callobj['api-func-component']='HALLOFFAME';
            callobj['api-func-name']='deleteById';
            callobj['api-target-id']='halloffamethumbpool';
            callobj['api-insert-cmd']='replaceinner';
            callobj['api-func-parobj']=parobj;
            API_CALL([callobj]);
		}
		// MAKE PUBLIC
		HALLOFFAME.makepublicbutton_onclick=function(event){
			let callobj={};
            let parobj={};
		
            parobj['makepublicid']=event.currentTarget.getAttribute('makepublic-id');
            callobj['api-func-component']='HALLOFFAME';
            callobj['api-func-name']='makepublicById';
            callobj['api-target-id']='halloffamethumbpool';
            callobj['api-insert-cmd']='replaceinner';
            callobj['api-func-parobj']=parobj;
            API_CALL([callobj]);
		}
		
		///////////////////////	
	
		HALLOFFAME.INIT();
	};
	
	
})();
