<?php 
$COMPONENTS['BUBBLEMAKER']=[];
$DOMSTR_TITLE.='Bubble Maker';
$DOMSTR_BODY_ATTRIBUTES.=' is-tool';
$BP=$BLUEPRINTS;
$menubar=$BLUEPRINTS['rCreativeToolMenuBar'](['title'=>'Bubble Maker', 'icon'=>'icon-bubblemaker', 'default-closeurl'=>'artist-name']);

// SAVE TO HALL OF FAME
$COMPONENTS['BUBBLEMAKER']['saveToHallOfFame']=function($parobj){
	global $BLUEPRINTS;
	if(strval($parobj['infoobj']['einwilligung'])!=='true'){
		return '<script>
					document.getElementById("halloffameformresponsebox").innerHTML="Du musst die Einwilligung für die Veröffentlichung bestätigen.";
					document.getElementsByClassName("collagetool")[0].removeAttribute("is-sending-data");
				</script>';
	}
	$id=rID();
	$path='data/halloffame/'.$id;
	$imgfilepath=$path.'stage.jpg';
	$infoobj=json2obj(obj2json($parobj['infoobj']));
	$infoobj['id']=$id;
	$infoobj['time']=time();
	saveJSON($path.'/info.json', obj2json($infoobj));
	$data=str_replace(' ','+',$parobj['imgdataurl']);
	$data=substr($data,strpos($data, ',')+1);
	$data=base64_decode($data);
	$file=fopen($imgfilepath, 'w');
	fwrite($file, $data);
	fclose($file);
	$script='<script>BUBBLEMAKER.closeHallOfFameForm();</script>';
	$contentdom='<h1>Sehr schön!</h1>
							<p>
								Der Dialog <i>'.$infoobj['artworktitle'].'</i> wurde erfolgreich zur Veröffentlichung in der <a href="hall-of-fame" target="_blank">Hall of Fame</a> eingereicht. Es kann bis zu 3 Werkstage dauern bis dein Werk überprüft und veröffentlicht wird. Tipp: Mit "Speichern" kannst du dein Werk jetzt schon downloaden und mit deinen Freunden teilen.<br>
							</p>
							<div class="button2" onclick="REMOVE(this.closest(\'.overlay\'));">
								<span>Alles klar</span>
							</div> ';
	return $BLUEPRINTS['rOverlayBubbleBox']($contentdom).$script;
};

$halloffameform_dom=$BLUEPRINTS['HALLOFFAMEFORM']['rHallOfFameForm']('BUBBLEMAKER', 'meine Sprechblasen-Collage');

// stage bgimg
$bgimgsrc='data/media/bubblemaker/bubblemaker_stage.jpg';
$wh=getimagesize($bgimgsrc);

?>
<?php echo $menubar;  ?>
<div class="bubblemaker">
	<div class="blurlayer0">
		<div class="toolbartop">
			
		</div>
		<div class="toolbarbottom">
			<div class="savebt button2" onclick="BUBBLEMAKER.savebt_onclick(event);">
				<span>Speichern</span>
			</div>
			
			<div class="openhalloffameformbt button2" onclick="BUBBLEMAKER.openHallOfFameForm();">
				<span>Veröffentlichen</span>
			</div>
		</div>
		<div class="stagewrapper">
			<div class="stage" touch-able="move scale mouseoverwheelscale momentum keepvisible setstyletransformvars" min-scale="0.1" max-scale="0.5">
				
				<img id="stagebgimg" src="<?php echo $bgimgsrc; ?>" width="<?php echo $wh[0]; ?>" height="<?php echo $wh[0]; ?>" onload="document.body.setAttribute('stagebgimg-loaded', '');"/>
				<div class="addbubblebutton button2" onclick="BUBBLEMAKER.addbubblebutton_onclick(event);" figure-name="bear">
					<span>+</span>
				</div>
				<div class="addbubblebutton button2" onclick="BUBBLEMAKER.addbubblebutton_onclick(event);" figure-name="police">
					<span>+</span>
				</div>
			</div>
		</div>
	</div>
	
	<div class="overlay halloffameformoverlay">
		<?php echo $halloffameform_dom; ?>
	</div>
</div>