// JavaScript Document

// current-modes: chooseimg, answerquestions, showresult

let ERZAEHLOMAT={};
(function(){
	document.addEventListener("DOMContentLoaded", INIT);
	
	function INIT(){
		const erzaehlomat=document.getElementsByClassName('erzaehlomat')[0];
		const countobj={A:0,B:0,C:0,D:0,E:0};
		let currentimgindex=0;
		let currentqawrapper=null;
		let currentstorywrapper=null;
		let currentqindex=0;
		let currentqabox=null; 
		let currentstoryindex=null;
		let currentqamount=0;
		let scrolltocurrentstory_timer=0;
		ERZAEHLOMAT.INIT=function(){
			
		}
		// INLINE FUNCTIONS
		ERZAEHLOMAT.chooseimgthumb_onclick=function(e){
			setCurrentImageIndex(e.currentTarget.getAttribute('ref-img-index'));
		}
		ERZAEHLOMAT.answer_onclick=function(e){
			setCurrentQuestionIndex(currentqindex+1);
			setCountObjByRefStroyStr(e.currentTarget.getAttribute('ref-storyindexes'));
		}
		ERZAEHLOMAT.skipanswer_onclick=function(e){
			setCurrentQuestionIndex(currentqindex+1);
		}
		ERZAEHLOMAT.furtherbutton_onclick=function(e){
			setCurrentStoryIndex(e.currentTarget.getAttribute('ref-story-index'));
			erzaehlomat.setAttribute('current-mode', 'showfurther');
		}
		// HELPER
		setCurrentImageIndex=function(index){
			currentimgindex=parseInt(index);
			const els=erzaehlomat.querySelectorAll('*[img-index]');
			for(const el of els){
				el.removeAttribute('is-current-img');
			}
			currentqawrapper=erzaehlomat.querySelectorAll('.qawrapper[img-index="'+currentimgindex+'"]')[0];
			currentqawrapper.setAttribute('is-current-img', '');
			currentstorywrapper=erzaehlomat.querySelectorAll('.storywrapper[img-index="'+currentimgindex+'"]')[0];
			currentstorywrapper.setAttribute('is-current-img', '');
			currentqamount=parseInt(currentqawrapper.getAttribute('q-amount'));
			setCurrentQuestionIndex(0);
			erzaehlomat.setAttribute('current-mode', 'answerquestions');
		}
		setCurrentQuestionIndex=function(index){
			currentqindex=parseInt(index);
			if(currentqindex<currentqamount){
				const els=erzaehlomat.querySelectorAll('*[q-index]');
				for(const el of els){
					el.removeAttribute('is-current-q');
				}
				currentqawrapper.querySelectorAll('*[q-index="'+currentqindex+'"]')[0].setAttribute('is-current-q', '');
				currentqabox=currentqawrapper.querySelectorAll('.qabox[is-current-q]')[0];
			}else{
				// evaluat and show result if last
				let maxcount=0, maxprop='A';
				for(const prop in countobj){
					if(countobj[prop]>maxcount){
						maxcount=countobj[prop];
						maxprop=prop;
					}
				}
				setCurrentStoryIndex(maxprop);
				erzaehlomat.setAttribute('current-mode', 'showresult');
			}
		}
		setCurrentStoryIndex=function(index){
			currentstoryindex=index;
			const els=erzaehlomat.querySelectorAll('*[story-index]');
			for(const el of els){
				el.removeAttribute('is-current-story');
			}
			currentstorywrapper.querySelectorAll('*[story-index="'+currentstoryindex+'"]')[0].setAttribute('is-current-story', '');
			scrollToCurrentStory();
		}
		scrollToCurrentStory=function(){
			clearTimeout(scrolltocurrentstory_timer);
			scrolltocurrentstory_timer=setTimeout(scrollToCurrentStory_delayed, 1000/5);
		}
		scrollToCurrentStory_delayed=function(){
			const currentstory=currentstorywrapper.querySelectorAll('*[story-index="'+currentstoryindex+'"]')[0];
			const rect=currentstory.getElementsByTagName('h1')[0].getBoundingClientRect();
			currentstory.setAttribute('is-current-story', '');
			window.scrollTo(0, -rect.top-92);
			console.log('scrollToCurrentStory_delayed', -rect.top-92)
		}
		setCountObjByRefStroyStr=function(str){
			if(str!==''){
				refstoryindexes=str.split(',');
				let  i=refstoryindexes.length;
				while(i--){
					countobj[refstoryindexes[i]]++;
				}
			}
			console.log(countobj);
		}
		
		
		ERZAEHLOMAT.INIT();
	};
	
	
})();
