<?php
$DOMSTR_TITLE='Haiku Writer';
$DOMSTR_BODY_ATTRIBUTES.=' is-tool';
$COMPONENTS['HAIKUWRITER']=[];
$menubar=$BLUEPRINTS['rCreativeToolMenuBar'](['title'=>'Haiku-Writer', 'icon'=>'icon-haiku-writer', 'default-closeurl'=>'artist-name']);

// SAVE TO HALL OF FAME
$COMPONENTS['HAIKUWRITER']['saveToHallOfFame']=function($parobj){
	global $BLUEPRINTS;
	if(strval($parobj['infoobj']['einwilligung'])!=='true'){
		return '<script>
					document.getElementById("halloffameformresponsebox").innerHTML="Du musst die Einwilligung für die Veröffentlichung bestätigen.";
					document.getElementsByClassName("haikuwriter")[0].removeAttribute("is-sending-data");
				</script>';
	}
	$id=rID();
	$path='data/halloffame/'.$id;
	$imgfilepath=$path.'stage.jpg';
	$infoobj=json2obj(obj2json($parobj['infoobj']));
	$infoobj['id']=$id;
	$infoobj['time']=time();
	saveJSON($path.'/info.json', obj2json($infoobj));
	$data=str_replace(' ','+',$parobj['imgdataurl']);
	$data=substr($data,strpos($data, ',')+1);
	$data=base64_decode($data);
	$file=fopen($imgfilepath, 'w');
	fwrite($file, $data);
	fclose($file);
	
	$script='<script>HAIKUWRITER.closeHallOfFameForm();</script>';
	$contentdom='<h1>Sehr schön!</h1>
							<p>
								Dein Haiku wurde erfolgreich zur Veröffentlichung in der <a href="hall-of-fame" target="_self">Hall of Fame</a> eingereicht. Es kann bis zu 3 Werkstage dauern bis dein Werk überprüft und veröffentlicht wird. Tipp: Mit "Speichern" kannst du dein Werk jetzt schon downloaden und mit deinen Freunden teilen.<br>
							</p>
							<div class="button2" onclick="REMOVE(this.closest(\'.overlay\'));">
								<span>Alles klar</span>
							</div> ';
	
	return $BLUEPRINTS['rOverlayBubbleBox']($contentdom).$script;
};

$halloffameform_dom=$BLUEPRINTS['HALLOFFAMEFORM']['rHallOfFameForm']('HAIKUWRITER', 'mein Haiku');

?>

<?php echo $menubar; ?>

<?php 
function rChooseThumb($imgfilename, $title){
	global $BLUEPRINTS;
	return '<div class="choosethumb" onclick="HAIKUWRITER.choosethumb_click(event);">
	            <div class="thumbimg">
					'.$BLUEPRINTS['rMedia']('haikuwriter/'.$imgfilename).'
				</div>
				<div class="thumbtext">
					<span>Artist Name, <i>'.$title.'</i></span>
				</div>
			</div>';

}
// get images and set titles
$chossethumbs='';
$chossethumbs.=rChooseThumb('Artwork_01.jpg', 'Artwork 1');
$chossethumbs.=rChooseThumb('Artwork_02.jpg', 'Artwork 2');
$chossethumbs.=rChooseThumb('Artwork_03.jpg', 'Artwork 3');
?>

<div class="haikuwriter">
	<div class="blurlayer0">
		<div class="chooseimgthumbs">
			<div class="chooseimgheadline">Zu welchem Bild möchtest du dein Haiku schreiben?</div>
			<?php echo $chossethumbs; ?>
		</div>
		</div>
		<div class="haikubox" main-mode="choose">
			<img class="haikuimg" id="haikuimg"/>
			
			<div class="heikuwrapper">
				<div class="heikutransformer"></div>
			</div>
			<div class="toolbarbottom">
				<div class="savebt button2" onclick="HAIKUWRITER.savebt_onclick(event);">
					<span>Speichern</span>
				</div>
				<div class="openhalloffameformbt button2" onclick="HAIKUWRITER.openHallOfFameForm();">
					<span>Veröffentlichen</span>
				</div>
			</div>
			<div class="whatisbox">
				<h1>Was ist ein Haiku?</h1>
				<p>
				Das Haiku ist eine uralte japanische Gedichtform. Traditionell sind Haikus immer dreizeilig aufgebaut und haben in der deutschen Sprache insgesamt maximal 17 Silben.
				</p>
				<div class="ytbox fullw">
					<div class="ytcont">
							<iframe width="560" height="315" src="https://www.youtube.com/embed/nrqIM6wx6rc?controls=1&rel=0" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
					</div>
				</div>
			</div>
		</div>
	<div class="overlay halloffameformoverlay">
		<?php echo $halloffameform_dom; ?>
	</div>
</div>